/* 
 * File:   DSTC_PROM_CHK.h
 * Author: BD
 *
 * Created on April 23, 2016, 7:16 PM
 */

unsigned int ADDRESS ;
unsigned int CHECKSUM ;

 #define PROM_OK_B         RC0   // Map LEDs to PORTC
 #define PROM_OK_C         RC1   
 #define PROM_OK_D         RC2   
 #define PROM_OK_E         RC3   
 #define PROM_OK_F         RC4
 #define PROM_OK_G         RC5
 #define NO_VALID_PROM     RC6
 #define PROM_CHK_B 0x2B784
 #define PROM_CHK_C 0x2F704
 #define PROM_CHK_D 0x3027E
 #define PROM_CHK_E 0x2E9AA
 #define PROM_CHK_F 0x3AE33
 #define PROM_CHK_G 0x2F6D5


/*      PROM CHECKSUMS
B	2B784
C	2F704
D	3027E
E	2E9AA
F	3AE33
G	2F6D5

82S181 1K X8
 */


unsigned int TIMEVAL = 4000 ;
unsigned int TIMEVAL1 = 4 ;
int delay ;
int delay1 ;
unsigned int ADDRESS_LOWER ;
unsigned int ADDRESS_UPPER ;
unsigned long int RUNNING_TOTAL ;
unsigned int CHECKSUM ;


//Process declarations
unsigned int DELAYPROC() ;     // declare DELAY to be unsigned here

#ifndef DSTC_PROM_CHK_H
#define	DSTC_PROM_CHK_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* DSTC_PROM_CHK_H */

