/* 
 * File:   DSTC_PROM_CHK_MAIN.c
 * Author: BD
 *
 * Created on April 23, 2016, 7:45 PM
 */

#include <stdio.h>
#include <stdlib.h>
#include "DSTC_PROM_CHK.h"
#include <xc.h>

/*
 * 
 */
// CONFIG1
#pragma config FOSC = INTRC_NOCLKOUT// Oscillator Selection bits (INTOSCIO oscillator: I/O function on RA6/OSC2/CLKOUT pin, I/O function on RA7/OSC1/CLKIN)
#pragma config WDTE = OFF       // Watchdog Timer Enable bit (WDT disabled and can be enabled by SWDTEN bit of the WDTCON register)
#pragma config PWRTE = OFF      // Power-up Timer Enable bit (PWRT disabled)
#pragma config MCLRE = ON      // RE3/MCLR pin function select bit (RE3/MCLR pin function is digital input, MCLR internally tied to VDD)
#pragma config CP = OFF         // Code Protection bit (Program memory code protection is disabled)
#pragma config CPD = OFF        // Data Code Protection bit (Data memory code protection is disabled)
#pragma config BOREN = ON       // Brown Out Reset Selection bits (BOR enabled)
#pragma config IESO = OFF       // Internal External Switchover bit (Internal/External Switchover mode is disabled)
#pragma config FCMEN = ON       // Fail-Safe Clock Monitor Enabled bit (Fail-Safe Clock Monitor is enabled)
#pragma config LVP = OFF         // Low Voltage Programming Enable bit (RB3/PGM pin has PGM function, low voltage programming enabled)

// CONFIG2
#pragma config BOR4V = BOR40V   // Brown-out Reset Selection bit (Brown-out Reset set to 4.0V)
#pragma config WRT = OFF        // Flash Program Memory Self Write Enable bits (Write protection off)


int main(void) {
    ANSEL = 0     ;     // set all inputs digital
    TRISC = 0     ;    // set port C to output for LEDS
    TRISA = 0     ;    // PORT A OUTPUT ADDRESS
    TRISE = 0     ;    // PORTE UPPER ADDRESS BITS
    TRISD = 0xFF  ; // DATA INPUT FROM PROM
    PORTC = 0     ;     // turn all LEDS off

    while (1) {
        PORTC = 0 ;      // turn LEDs off

        CHECKSUM = 0 ;
        RUNNING_TOTAL = 0 ;
        ADDRESS_LOWER = 0 ;
        ADDRESS_UPPER = 0 ;
        
        for (ADDRESS_UPPER = 0; ADDRESS_UPPER < 4;ADDRESS_UPPER++)
          {  
            for (ADDRESS_LOWER = 0; ADDRESS_LOWER < 256;ADDRESS_LOWER++)
            {
            PORTA = ADDRESS_LOWER ;
            PORTE = ADDRESS_UPPER ;
            RUNNING_TOTAL = RUNNING_TOTAL+PORTD ;
            
          }
         }


        switch (RUNNING_TOTAL)
        {
                case(PROM_CHK_B):
                        PROM_OK_B = 1;
                        break ;

                case(PROM_CHK_C):
                        PROM_OK_C = 1;
                        break ;

                case(PROM_CHK_D):
                        PROM_OK_D = 1;
                        break ;

                case(PROM_CHK_E):
                        PROM_OK_E = 1;
                        break ;

                case(PROM_CHK_F):
                        PROM_OK_F = 1;
                        break ;

                case(PROM_CHK_G):
                        PROM_OK_G = 1;
                        break ;

                default:
                         NO_VALID_PROM = 1 ;
                         break;

        }
        DELAYPROC() ;           // pause, then go back which will flash LED




    }// END OF WHILE(1)


}   /****************** END OF MAIN *************************************/




  /*****************     simple time delay counter      **********************/
 unsigned int   DELAYPROC()

{

   for (delay = 0; delay<TIMEVAL; delay++)
   {for (delay1 = 0; delay1<TIMEVAL1; delay1++);}




    return (1);
    return (EXIT_SUCCESS);
}

